Skip to main content
GET
/
v1
/
markets
List Markets
curl --request GET \
  --url https://api.arbiterapi.com/v1/markets \
  --header 'X-API-Key: <api-key>'
{
  "markets": [
    {
      "id": "<string>",
      "slug": "<string>",
      "question": "<string>",
      "status": "open",
      "outcomes": [
        {
          "label": "<string>",
          "price": 123,
          "price_cents": 123
        }
      ],
      "platforms": [
        {
          "platform": "polymarket",
          "native_id": "<string>",
          "url": "<string>",
          "best_bid": 123,
          "best_ask": 123,
          "volume_24h": 123
        }
      ],
      "description": "<string>",
      "volume_24h": 0,
      "volume_total": 123,
      "open_interest": 123,
      "created_at": 123,
      "close_time": 123,
      "tags": [],
      "category": "<string>",
      "event_slug": "<string>",
      "image": "<string>"
    }
  ],
  "cursor": "<string>",
  "has_more": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.arbiterapi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

platform
enum<string> | null
Available options:
polymarket,
kalshi
status
enum<string> | null
Available options:
open,
closed,
resolved
tag
string | null
min_volume
number | null
search
string | null

Search market questions by keyword

limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Pagination cursor from previous response

Response

Successful Response

markets
UnifiedMarket · object[]
required
cursor
string | null
has_more
boolean
default:false